- [HTTP request](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/Backups/ListBackups#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/Backups/ListBackups#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/Backups/ListBackups#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/Backups/ListBackups#body.request_body)
- [Response body](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/Backups/ListBackups#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/Backups/ListBackups#body.ListBackupsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/Backups/ListBackups#body.aspect)
- [Examples](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/Backups/ListBackups#examples)
- [Try it!](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/Backups/ListBackups#try-it)

Lists all backups associated with the project.

### HTTP request

`GET https://sqladmin.googleapis.com/v1/{parent=projects/*}/backups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent that owns this collection of backups. Format: projects/{project} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of backups to return per response. The service might return fewer backups than this value. If a value for this parameter isn't specified, then, at most, 500 backups are returned. The maximum value is 2,000. Any values that you set, which are greater than 2,000, are changed to 2,000. |
| `pageToken` | `string` A page token, received from a previous `Backups.ListBackups` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `Backups.ListBackups` must match the call that provided the page token. |
| `filter` | `string` Multiple filter queries are separated by spaces. For example, 'instance:abc AND type:FINAL, 'location:us', 'backupInterval.startTime\>=1950-01-01T01:01:25.771Z'. You can filter by type, instance, backupInterval.startTime (creation time), or location. |

### Request body

The request body must be empty.

### Response body

The response payload containing a list of the backups.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "backups": [ { object (`https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/Backups#Backup`) } ], "nextPageToken": string, "warnings": [ { object (`https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/operations#ApiWarning`) } ] } ``` |

| Fields ||
|---|---|
| `backups[]` | ``object (`https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/Backups#Backup`)`` A list of backups. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, then there aren't subsequent pages. |
| `warnings[]` | ``object (`https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/operations#ApiWarning`)`` If a region isn't unavailable or if an unknown error occurs, then a warning message is returned. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsql`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/sqlservice.admin`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).